Bug 1129505 - Review Request: bash-completion-extras - EPEL7 only supplemental bash-completion package
Summary: Review Request: bash-completion-extras - EPEL7 only supplemental bash-complet...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 01:32 UTC by Jim Perrin
Modified: 2017-07-07 20:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-07 20:52:00 UTC
admiller: fedora-review+
opensource: fedora-cvs-


Attachments (Terms of Use)

Description Jim Perrin 2014-08-13 01:32:13 UTC
Spec URL: http://people.centos.org/jperrin/srpms/bash-completion-extras.spec
SRPM URL: http://people.centos.org/jperrin/srpms/bash-completion-extras-2.1-6.el7.centos.src.rpm

Description: The bash-completion package included in EL7 does not include many completions for commonly used binaries included in the distribution( e.g file, dd, getent, ip, etc). This package (derived from the EL7 spec and srpm) restores completions for binaries included in the base OS. 

The patch difference with the original spec is intended to be minimal to allow for easy updating, and has added the base package bash-completion as a dependency. 

This package is intended strictly for EPEL7, as it is not needed in upstream fedora, and not applicable to EL6 where bash-completion is already provided via EPEL6. 


Fedora Account System Username: jperrin

Comment 1 Dennis Gilmore 2014-09-18 15:57:00 UTC
from a quick review you need to either drop the epoch or add it to the changelog

Comment 2 Jim Perrin 2014-09-19 15:47:11 UTC
Done. I added the epoch to the changelog.

Comment 3 Jim Perrin 2014-09-19 15:52:39 UTC
New Package SCM Request
=======================
Package Name: bash-completion-extras
Short Description: Additional completion scripts for bash
Upstream URL: http://bash-completion.alioth.debian.org/
Owners: jperrin
Branches: epel7
InitialCC:

Comment 4 Till Maas 2014-09-19 16:53:49 UTC
(In reply to Jim Perrin from comment #3)
> New Package SCM Request
> =======================
> Package Name: bash-completion-extras
> Short Description: Additional completion scripts for bash
> Upstream URL: http://bash-completion.alioth.debian.org/
> Owners: jperrin
> Branches: epel7
> InitialCC:

You need to wait for Dennis to finish the review before this package can be added to Fedora.

Comment 5 Dennis Gilmore 2014-09-19 16:59:13 UTC
review is not yet complete

Comment 6 Jim Perrin 2014-09-19 17:17:31 UTC
My fault. read the email incorrectly. 

Updated srpm: http://people.centos.org/jperrin/srpms/bash-completion-extras-2.1-7.el7.centos.src.rpm

Updated spec: http://people.centos.org/jperrin/srpms/bash-completion-extras.spec

These have the required epoch addition in the changelog now.

Comment 7 Adam Miller 2015-08-25 22:31:18 UTC
Either something is wrong with the encoding of the spec file, the web server is messed up, or we found a bug in fedora-review (or maybe python!) :)

$ fedora-review -b 1129505 -m epel-7-x86_64                                          
INFO: Processing bugzilla bug: 1129505
INFO: Getting .spec and .srpm Urls from : 1129505
INFO:   --> SRPM url: http://people.centos.org/jperrin/srpms/bash-completion-extras-2.1-7.el7.centos.src.rpm
INFO:   --> Spec url: http://people.centos.org/jperrin/srpms/bash-completion-extras.spec
INFO: Using review directory: /home/admiller/reviews/1129505-bash-completion-extras
INFO: Downloading .spec and .srpm files
error: line 9: Illegal char ':' in: Release:        7error:
ERROR: "Can't parse specfile: can't parse specfile\n" (logs in /home/admiller/.cache/fedora-review.log)

Comment 8 Jens Lody 2015-08-25 23:10:28 UTC
I got the same error after editing the spec-file of gedit-plugin-git.
Before Igot an error about a bad %if-condition: https://bugzilla.redhat.com/show_bug.cgi?id=1256479#c5 .
In my case the %dist-tag was expanded to someting like "Release: ...", I do not recall what comes after the colon (I added an %echo to debug}.
Which mock-configuration did you use ?
It happend for me with epel-7-x86_64, and it did not happen always.
I ignored the error, because it happened after manually editing the spec-file and it did not happen all the time, so I thought I messed something up.

Using the same spec-file with mock directly did not lead to such errors.

Comment 9 Jens Lody 2015-08-25 23:13:10 UTC
Oh I just saw the bugs-title, so it seems to be related to the mock-configuration.
I will test this review also.

Comment 10 Jens Lody 2015-08-26 00:32:22 UTC
Looks like we are bitten by this bug; https://bugzilla.redhat.com/show_bug.cgi?id=1241655#c8

Should be fixed in update-testing.

Comment 11 Jens Lody 2015-08-26 00:58:08 UTC
Enabling epel-testing in mock config and recreating the mock-root makes fedora-review workagain for epel7

Comment 12 Adam Miller 2015-09-22 17:04:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 5 files have unknown license. Detailed
     output of licensecheck in /home/admiller/reviews/1129505-bash-
     completion-extras/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/bash-
     completion/completions(tig, cmake, bzr, rpmdevtools, mercurial,
     createrepo, vagrant, python-django-bash-completion, bash-completion,
     firewalld, subversion, rolekit, rpmlint, yum, libappstream-glib,
     source-highlight, git, gvfs, glib2)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 112640 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define rhelname bash-
     completion
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: bash-completion-extras-2.1-7.el7.centos.noarch.rpm
          bash-completion-extras-2.1-7.el7.centos.src.rpm
bash-completion-extras.noarch: W: incoherent-version-in-changelog 1:2.1-7 ['1:2.1-7.el7.centos', '1:2.1-7.centos']
bash-completion-extras.noarch: W: dangling-relative-symlink /usr/share/bash-completion/completions/pigz gzip
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
bash-completion-extras.noarch: W: incoherent-version-in-changelog 1:2.1-7 ['1:2.1-7.el7.centos', '1:2.1-7.centos']
bash-completion-extras.noarch: W: dangling-relative-symlink /usr/share/bash-completion/completions/pigz gzip
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
bash-completion-extras (rpmlib, GLIBC filtered):
    bash
    bash-completion



Provides
--------
bash-completion-extras:
    bash-completion-extras



Source checksums
----------------
http://bash-completion.alioth.debian.org/files/bash-completion-2.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 2b606804a7d5f823380a882e0f7b6c8a37b0e768e72c3d4107c51fbe8a46ae4f
  CHECKSUM(SHA256) upstream package : 2b606804a7d5f823380a882e0f7b6c8a37b0e768e72c3d4107c51fbe8a46ae4f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1129505 -m epel-7-testing-x86_64
Buildroot used: epel-7-testing-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


=============== NOTES ======================
The only issue I see the that %define is used instead of %global, if you fix that then I'm good with approving. Jim, I can also sponsor you as a packager.

Comment 13 Jim Perrin 2015-09-22 22:19:16 UTC
Updated and release bumped. I cleaned up a couple instances of trailing whitespace as well.

Comment 14 Adam Miller 2015-10-07 21:44:47 UTC
APPROVED

Comment 15 Gwyn Ciesla 2016-02-16 14:07:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/bash-completion-extras

Comment 16 Carl George 2017-07-07 20:53:07 UTC
Pushed to EPEL 7 stable on 2016-03-04.

https://bodhi.fedoraproject.org/updates/bash-completion-extras-2.1-8.el7


Note You need to log in before you can comment on or make changes to this bug.